probeID2nuID {lumi} | R Documentation

## Mapping Illumina ProbeID as nuID

### Description

Mapping Illumina ProbeID as nuID.

### Usage

    probeID2nuID(probeID, lib.mapping = "lumiHumanIDMapping", ...)

### Arguments

`probeID` | a vector of Illumina ProbeID
`lib.mapping` | an Illumina ID mapping library
`...` | other parameters of `IlluminaID2nuID`

### Details

The function will call `IlluminaID2nuID` when ID mapping library were provided.

### Value

see function `IlluminaID2nuID`

### Author(s)

Pan Du

### References

Du, P., Kibbe, W.A. and Lin, S.M., "nuID: A universal naming schema of oligonucleotides for Illumina, Affymetrix, and other microarrays", Biology Direct 2007, 2:16 (31May2007).

### See Also

`nuID2probeID`, `IlluminaID2nuID`

### Examples

    if (require(lumiHumanIDMapping)) {
        probeID2nuID('0001240020', lib='lumiHumanIDMapping')
    }

[Package lumi version 1.10.2 Index]